#!/bin/bash

# В системе должны быть установлены пакеты
# gzip, libpcsclite1, pcsc-ccid, gcr, libgcr-3-1

JCPKCS_PACKAGE=`ls -l | sed -r -n 's/.*(jcpkcs11-2_[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+_x64\.rpm)/\1/p'`
UC_PACKAGE=`ls -l | sed -r -n 's/.*(jacartauc_[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+_em1\.0_x64\.rpm)/\1/p'`

if [ -z "RPM-GPG-KEY-ALADDIN_RD-AO.public" ]; then
    echo "Ошибка!!! Отсутствует публичный ключ АО \"Аладдин Р.Д.\"!"
    exit 1
fi

if [ -z "$JCPKCS_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jcpkcs11-2!"
    exit 1
fi

if [ -z "$UC_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jacartauc!"
    exit 1
fi

rpm --import RPM-GPG-KEY-ALADDIN_RD-AO.public

echo "Установка пакетов!"
echo "=========================================="
zypper install -y $JCPKCS_PACKAGE $UC_PACKAGE
